Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154072 - Clear Recent documents button does not clear the recent documents
Summary: Clear Recent documents button does not clear the recent documents
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gamin
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-07 00:45 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-22 17:03:54 UTC


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-04-07 00:45:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
This is rawhide. 

The "Clear Recent documents" button has not worked for me reliably since
it was first introduced (a long time ago). 
Sometimes it clears the documents, sometimes it does not. 
Nowdays it just seems to never work. gam_server is running.

gamin-0.0.26-1

Ask questions for more details - not sure what to provide.

I would like to help debug the issue, and release FC4 without this ancient bug.


Version-Release number of selected component (if applicable):
gnome-panel-2.10.1-1

How reproducible:
Always

Steps to Reproduce:
1. Click the "Clear Recent documents button"
 

Actual Results:  The recent documents are not cleared.

Expected Results:  The recent documents should be cleared.

Additional info:

Comment 1 Colin Charles 2005-04-07 05:45:46 UTC
Tried on rawhide, gamin-0.0.26-1.i386 and gnome-panel-2.10.0-3.i386 and it
worked. So there could be some form of regression if it doesn't work with
gnome-panel-2.10.1-1 (what the reporter has installed)

Comment 2 Ivan Gyurdiev 2005-04-07 06:04:42 UTC
Well, now it's working for me too..
but that's my point exactly. Sometimes it works, and then other times
it doesn't. Do you have any suggestions for how to attempt to reproduce the
problem, or what data to look for when it's not working?



Comment 3 Mark McLoughlin 2005-04-07 11:47:13 UTC
Most likely a gamin issue.

Is this an NFS homedir by any chance?

You could try and pull debug logs from gamin according to:

  http://www.gnome.org/~veillard/gamin/debug.html

Comment 4 Ivan Gyurdiev 2005-04-08 09:17:22 UTC
No NFS. 

Alright, here's what happens - those are documents I clicked on from mozilla,
and opened in gedit. Not sure what that means - they were downloaded in ~/tmp,
and are no longer there, probably...

So I can keep clicking on Clear Recent Documents, and it has no effect of any
kind. Then when I open a local file, all the documents in question disappear,
and I can clear the local fine just fine.

Comment 5 Ivan Gyurdiev 2005-04-08 09:19:53 UTC
...but on the other hand, creating a file, opening it, then deleting it,
and trying to clear recent documents works just fine. I'm not sure what the
problem is. 


Note You need to log in before you can comment on or make changes to this bug.